// WSDL generated classes
import edu.isi.www.fedd_types.*;
import edu.isi.www.fedd_wsdl.*;

// The fault thrown by failed commands
import org.apache.axis.AxisFault;

class MultiStatus extends FeddCommand {

    /**
     * Get the list of active experiments created by this user.  The list has
     * the same format as fedd_multistatus.py - name:fedid:state.  If no
     * experiments are active, a line to that effect is printed.
     */
    public static void main(String args[]) throws 
	    javax.xml.rpc.ServiceException, java.net.MalformedURLException,
	    java.rmi.RemoteException {
	
	String urlString = "https://users.isi.deterlab.net:23235";

	if (args.length > 0) urlString = args[0];

	FeddPortType port = getPort(urlString);
	MultiInfoRequestType req = new MultiInfoRequestType();
	MultiInfoResponseType resp = null;

	// Make the call: the request is basically empty
	try {
	    resp = port.multiInfo(req);
	}
	catch (AxisFault e) {
	    System.out.println("Request failed: " + e);
	    System.exit(20);
	}

	// Parse out the response and print the lines.
	if (resp.getInfo() != null) {
	    for (InfoResponseType info: resp.getInfo()) {
		ExperimentLabels el = 
		    new ExperimentLabels(info.getExperimentID());

		System.out.println(el.getLocalname() + ":" + el.getFedid() 
			+":" + info.getExperimentStatus().getValue());
	    }
	}
	else 
	    System.out.println("No experiments");
    }
}
